---
import { getFeatureById, getCategoryByName } from "@logic/build/dataUtils.js";

const { data } = Astro.props;
---

<!-- Tags -->
<div class="meta">
  {
    !!data.portType && (
      <span class="badge badge-secondary">
        <a href="#docLinks">{data.portType}</a>
      </span>
    )
  }

  <span class="badge badge-secondary">
    <a href="/about/codenames">
      {data.codename}
    </a>
  </span>

  {
    !data.noInstall && (
      <span class="badge badge-secondary">
        <a href="/installer"> Installer </a>
      </span>
    )
  }

  {
    !!data.isConvergenceEnabled && (
      <span class="badge badge-secondary">
        <a
          href="https://docs.ubports.com/en/latest/humanguide/other-design-considerations/convergence.html"
          target="_blank"
        >
          Display out
        </a>
      </span>
    )
  }

  {
    !data.disableBuyLink && (
      <span class="badge badge-secondary">
        <a
          href={data.buyLink || "https://swappa.com/search?q=" + data.name}
          target="_blank"
        >
          Buy
          {data.price?.min && data.price?.max
            ? (data.price.currencySymbol || "$") +
              data.price.min +
              " - " +
              data.price.max
            : data.price?.avg
              ? "~ " + (data.price.currencySymbol || "$") + data.price.avg
              : ""}
        </a>
      </span>
    )
  }
</div>
